## python-icalendar 3.8

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/icalendar.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/icalendar.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/icalendar"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/icalendar"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-icalendar 1.2-1-1

=== debian/changelog ===
python-icalendar (1.2-1-1) stable; urgency=low

  port for maemo :)

 -- Bartlomiej Ceglik <yoyoek@wp.pl>  Mon, 30 Aug 2010 18:05:01 +0000

=== debian/control ===
Source: python-icalendar
Section: user/system
Priority: extra
Maintainer: Bartlomiej Ceglik <yoyoek@wp.pl>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: python-icalendar
Architecture: all
Depends: python2.5, python-icalendar
Description: port of The iCalendar package is a parser/generator of iCalendar files for use with Python. It follows the RFC 2445 (iCalendar) specification.
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/python-icalendar" install
	mkdir -p "$(CURDIR)/debian/python-icalendar"

#	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/"
	cp -a "src/lib/python2.5/site-packages/icalendar-2.2.egg-info" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar-2.2.egg-info"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/__init__.py" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/__init__.py"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/__init__.pyc" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/__init__.pyc"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/cal.py" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/cal.py"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/cal.pyc" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/cal.pyc"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/caselessdict.py" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/caselessdict.py"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/caselessdict.pyc" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/caselessdict.pyc"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/interfaces.py" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/interfaces.py"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/interfaces.pyc" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/interfaces.pyc"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/parser.py" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/parser.py"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/parser.pyc" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/parser.pyc"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/prop.py" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/prop.py"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/prop.pyc" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/prop.pyc"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/tools.py" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/tools.py"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/tools.pyc" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/tools.pyc"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/util.py" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/util.py"
	mkdir -p "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/"
	cp -a "src/lib/python2.5/site-packages/icalendar/util.pyc" "$(CURDIR)/debian/python-icalendar/lib/python2.5/site-packages/icalendar/util.pyc"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## python-icalendar 3.5

=== debian/changelog ===
python-icalendar (3.5-1) unstable; urgency=low

  * Initial release. (Closes: #691443)

 -- Christoph Egger <christoph@debian.org>  Sat, 14 Sep 2013 22:17:08 +0200

=== debian/control ===
Source: python-icalendar
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 8~),
 python-all,
 python-setuptools,
 python-sphinx,
 python-tz,
 python-dateutil
Standards-Version: 3.9.4
Homepage: http://icalendar.readthedocs.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-icalendar/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-icalendar/

Package: python-icalendar
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
 python-tz,
 python-dateutil
Provides: ${python:Provides}
Description: parser/generator of iCalendar files for use with Python
 The icalendar package is a parser/generator of iCalendar files for use with
 Python.
 .
 This package contains only Python bindings, no userland scripts.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C docs clean
	rm -fr src/icalendar.egg-info

override_dh_auto_test:
	python setup.py test

override_dh_installdocs:
	dh_installdocs
	dh_sphinxdoc

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg\d*// \
https://github.com/collective/icalendar/tags .*/(\d[\d\.]+)

## python-icalendar 3.6.1

=== debian/changelog ===
python-icalendar (3.6.1-1) unstable; urgency=medium

  * Team upload.

  [ Vincent Cheng ]
  * Mention ZPL 2.1 in debian/copyright. (Closes: #733001)

  [ Jackson Doak ]
  * New upstream release
  * debian/watch: Use pypi since it makes the watch file easier to read
  * debian/control: 
    - Fix capitalisation error in description
    - Make python-icalendar-doc depend on libjs-underscore and libjs-jquery
  * debian/copyright: Use DEP5 format
  * debian/rules: 
    - Exclude license.txt and embedded javascript libraries from dh_installdocs
  * Create debian/python-calendar-doc.links to provide javascript libs

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 22 Jan 2014 11:25:50 +1100

python-icalendar (3.5-2) unstable; urgency=medium

  * Add python3 package
    * Also add -doc package for the documentation

 -- Christoph Egger <christoph@debian.org>  Mon, 23 Dec 2013 17:42:29 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -O--buildsystem=pybuild
	$(MAKE) -C docs html

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	$(MAKE) -C docs clean
	rm -fr src/icalendar.egg-info

override_dh_auto_test:
	python setup.py test

override_dh_installdocs:
	dh_installdocs
	dh_sphinxdoc

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_installdocs:
	dh_installdocs -Xlicense.txt -Xjquery.js -Xunderscore.js

## python-icalendar 3.8

=== debian/changelog ===
python-icalendar (3.8-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ SVN-Git Migration ]
  * Migrate packaging to git with git-dpm

  [ Scott Kitterman ]
  * Fix python3 subsitution variable so correct python3 interpreter depends
    are provided (Closes: #867436)
  * Delete obsolete python:Provides

 -- Scott Kitterman <scott@kitterman.com>  Sun, 09 Jul 2017 17:27:20 -0400

python-icalendar (3.8-1) unstable; urgency=medium

  * Team upload.

  [ Jackson Doak ]
  * New upstream release

 -- Vincent Cheng <vcheng@debian.org>  Wed, 16 Jul 2014 22:25:01 -0700

=== debian/control ===
Source: python-icalendar
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 8~),
 python-all,
 python3-all,
 python-setuptools,
 python3-setuptools,
 python-sphinx,
 python-tz,
 python-dateutil
Standards-Version: 3.9.5
Homepage: http://icalendar.readthedocs.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-icalendar.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-icalendar.git

Package: python-icalendar-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
 libjs-underscore,
 libjs-jquery
Description: parser/generator of iCalendar files for use with Python -- docs
 The icalendar package is a parser/generator of iCalendar files for use with
 Python.
 .
 This package contains documentation for the Python module


Package: python-icalendar
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-tz,
 python-dateutil
Description: parser/generator of iCalendar files for use with Python2
 The icalendar package is a parser/generator of iCalendar files for use with
 Python.
 .
 This package contains only Python2 bindings, no userland scripts.

Package: python3-icalendar
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 python3-tz,
 python3-dateutil
Description: parser/generator of iCalendar files for use with Python3
 The icalendar package is a parser/generator of iCalendar files for use with
 Python.
 .
 This package contains only Python3 bindings, no userland scripts.

## python-icalendar 4.0.0

=== debian/changelog ===
python-icalendar (4.0.0-1) unstable; urgency=medium

  * New upstream release
    * Refresh webbug patch

 -- Christoph Egger <christoph@debian.org>  Thu, 28 Dec 2017 14:23:09 +0100

python-icalendar (3.11.7-3) unstable; urgency=medium

  * Add missing build-dependencies (Closes #880903)
  * Run tests also with python3

 -- Christoph Egger <christoph@debian.org>  Mon, 20 Nov 2017 07:08:23 +0100

python-icalendar (3.11.7-2) unstable; urgency=medium

  * Really upload to unstable this time

 -- Christoph Egger <christoph@debian.org>  Wed, 01 Nov 2017 17:43:05 +0100

python-icalendar (3.11.7-1) experimental; urgency=medium

  * new upstream version
  * Add Rules-Requires-Root: no
  * Bump debhelper compat to 10
  * Bump standards version to 4.1.1
  * Use python3 version of sphinx for documentation buld
  * Remove travis webbug
  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Wed, 01 Nov 2017 16:00:57 +0100

python-icalendar (3.11.3-2) experimental; urgency=medium

  * Team upload.
  * Fix python3 subsitution variable so correct python3 interpreter depends
    are provided (Closes: #867436)
  * Delete obsolete python:Provides

 -- Scott Kitterman <scott@kitterman.com>  Sun, 09 Jul 2017 17:36:09 -0400

python-icalendar (3.11.3-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Jelmer Vernooĳ ]
  * New upstream release.
  * Bump debhelper version to 9.
  * Bump standards version to 3.9.8 (no changes).
  * debian/rules: Set PYTHONPATH for sphinx build.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 23 Mar 2017 13:05:54 +0000

=== debian/control ===
Source: python-icalendar
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Christoph Egger <christoph@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all,
 python-dateutil,
 python-setuptools,
 python-tz,
 python3-all,
 python3-dateutil,
 python3-setuptools,
 python3-sphinx,
 python3-tz
Standards-Version: 4.1.1
Homepage: http://icalendar.readthedocs.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-icalendar.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-icalendar.git
Rules-Requires-Root: no

Package: python-icalendar-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-underscore,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends}
Description: parser/generator of iCalendar files for use with Python -- docs
 The icalendar package is a parser/generator of iCalendar files for use with
 Python.
 .
 This package contains documentation for the Python module

Package: python-icalendar
Architecture: all
Depends:
 python-dateutil,
 python-tz,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: parser/generator of iCalendar files for use with Python2
 The icalendar package is a parser/generator of iCalendar files for use with
 Python.
 .
 This package contains only Python2 bindings, no userland scripts.

Package: python3-icalendar
Architecture: all
Depends:
 python3-dateutil,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: parser/generator of iCalendar files for use with Python3
 The icalendar package is a parser/generator of iCalendar files for use with
 Python.
 .
 This package contains only Python3 bindings, no userland scripts.

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,16 @@
 
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=pybuild
-	$(MAKE) -C docs html
+	$(MAKE) -C docs html PYTHONPATH=$(shell pwd)/src
 
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=pybuild
-	$(MAKE) -C docs clean
+	$(MAKE) -C docs clean PYTHONPATH=$(shell pwd)/src
 	rm -fr src/icalendar.egg-info
 
 override_dh_auto_test:
 	python setup.py test
+	python3 setup.py test
 
 override_dh_installdocs:
 	dh_installdocs

## python-icalendar 4.0.3

=== docs/Makefile ===
--- 
+++ 
@@ -6,13 +6,16 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
+LOCALESDIR    = _locales
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+# the i18n builder cannot share the environment and doctrees with the others
+I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -29,6 +32,9 @@
 	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
 	@echo "  text       to make text files"
 	@echo "  man        to make manual pages"
+	@echo "  texinfo    to make Texinfo files"
+	@echo "  info       to make Texinfo files and run them through makeinfo"
+	@echo "  gettext    to make PO message catalogs"
 	@echo "  changes    to make an overview of all changed/added/deprecated items"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
@@ -40,6 +46,12 @@
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+manual: *.rst
+	$(SPHINXBUILD) -b html -t manual . manual
+
+presentation: *.rst
+	$(SPHINXBUILD) -b html -t presentation . presentation
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
@@ -100,7 +112,7 @@
 latexpdf:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through pdflatex..."
-	make -C $(BUILDDIR)/latex all-pdf
+	$(MAKE) -C $(BUILDDIR)/latex all-pdf
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
 text:
@@ -112,6 +124,24 @@
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
+
+texinfo:
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
+	@echo
+	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
+	@echo "Run \`make' in that directory to run these through makeinfo" \
+	      "(use \`make info' here to do that automatically)."
+
+info:
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
+	@echo "Running Texinfo files through makeinfo..."
+	make -C $(BUILDDIR)/texinfo info
+	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
+
+gettext:
+	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(LOCALESDIR)
+	@echo
+	@echo "Build finished. The message catalogs are in $(LOCALESDIR)."
 
 changes:
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes

=== debian/changelog ===
python-icalendar (4.0.3-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-icalendar-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 14:11:29 -0400

python-icalendar (4.0.3-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Add missing colon in closes line.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Use dh $@ sequencer.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Christoph Berg ]
  * Fix cli.py view, patch by Hermann Lauer. (Closes: #942394)

 -- Christoph Berg <myon@debian.org>  Tue, 25 Feb 2020 13:41:42 +0100

python-icalendar (4.0.3-3) unstable; urgency=medium

  * Team upload.
  * Convert git repository from git-dpm to gbp layout.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Remove ${python:Depends} from python-icalendar-doc.
  * Bump debhelper compat level to 12.
  * Enable autopkgtest-pkg-python testsuite.
  * Set PYBUILD_NAME and run tests with pybuild.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Tue, 06 Aug 2019 16:21:36 +0200

python-icalendar (4.0.3-2) unstable; urgency=medium

  [ Felix Sipma ]
  * Bump standards version to 4.2.1 (no change required)
  * Use https for homepage URL.
  * fix override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS lintian warning
  * Add myself to uploaders.

  [ Jelmer Vernooĳ ]
  * Add myself to uploaders.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 12 Oct 2018 02:57:54 +0100

python-icalendar (4.0.3-1) unstable; urgency=medium

  * Team upload.
  * Add debian/upstream/metadata.
  * New upstream release.
   + Drop patch 0002-python-dateutil.patch: similar patch applied
     upstream.
   + Refresh patch 0001-Remove-travis-ci-web-bug.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 10 Oct 2018 23:28:53 +0100

python-icalendar (4.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Jelmer Vernooĳ ]
  * Add patch 0002-python-dateutil.patch; work around for recent changes
    in python-dateutil; see https://bugs.debian.org/908498.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 19 Sep 2018 02:56:52 +0100

=== debian/control ===
Source: python-icalendar
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Christoph Egger <christoph@debian.org>,
 Félix Sipma <felix+debian@gueux.org>,
 Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-dateutil,
 python3-setuptools,
 python3-sphinx,
 python3-tz
Standards-Version: 4.5.1
Homepage: https://icalendar.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-icalendar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-icalendar
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python-icalendar-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-underscore,
 ${misc:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: parser/generator of iCalendar files for use with Python -- docs
 The icalendar package is a parser/generator of iCalendar files for use with
 Python.
 .
 This package contains documentation for the Python module

Package: python3-icalendar
Architecture: all
Depends:
 python3-dateutil,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: parser/generator of iCalendar files for use with Python3
 The icalendar package is a parser/generator of iCalendar files for use with
 Python.
 .
 This package contains only Python3 bindings, no userland scripts.

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg\d*// \
https://pypi.python.org/packages/source/i/icalendar/icalendar-(.*).tar.gz

## python-icalendar 5.0.7

=== debian/changelog ===
python-icalendar (5.0.7-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * add myself as uploader
  * update watch file:
    + track github (not pypi) as upstream source
    + use file format 4
    + add usage notes
  * update copyright info:
    + list github (not pypi) as upstream source
    + update coverage
    + relicense Debian packaging as GPL-3+
  * modernize build;
    build-depend on dh-sequence-python3 pybuild-plugin-pyproject
    (not dh-python);
    build-depend on dh-sequence-sphinxdoc;
    stop depend on libjs-jquery libjs-underscore;
    build-depend on python3-hypothesis python3-pytest
  * drop patches 0001 0002, obsoleted by upstream changes
  * add patch 2001 to avoid privacy breach;
    add debian/patches/README documenting patch naming micro-policy
  * add source helper script copyright-check
  * declare compliance with Debian Policy 4.6.2
  * update long description to mention RFC 5545,
    and stop bogusly claim that command-line tool is not installed
  * generate core documentation from reStructuredText source;
    build-depend on pandoc
  * avoid failing doctest test
  * generate manpage;
    build-depend on help2man;
    closes: bug#978541, thanks to Félix Sipma

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Jul 2023 12:09:56 +0200

## python-icalendar 5.0.11

=== docs/Makefile ===
--- 
+++ 
@@ -45,7 +45,8 @@
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
-	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+	@echo "Build finished. The HTML pages are in docs/$(BUILDDIR)/html."
+	rm -rf build
 
 manual: *.rst
 	$(SPHINXBUILD) -b html -t manual . manual

=== debian/changelog ===
python-icalendar (5.0.11-1) unstable; urgency=medium

  * New upstream version 5.0.11
  * Drop upstreamed patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Nov 2023 08:52:44 +0100

python-icalendar (5.0.10-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch for object compare

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Oct 2023 11:00:28 +0200

python-icalendar (5.0.10-1) unstable; urgency=medium

  * version 5.0.10
  * Drop non standard Homepage from d/u/metadata
  * Use non legacy timezone name (Closes: #1052862)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Oct 2023 13:16:21 +0200

python-icalendar (5.0.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Sep 2023 19:45:08 +0200

=== debian/control ===
Source: python-icalendar
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Christoph Egger <christoph@debian.org>,
 Félix Sipma <felix+debian@gueux.org>,
 Jelmer Vernooĳ <jelmer@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 help2man <!nodoc>,
 pandoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-dateutil,
 python3-hypothesis,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-tz,
Standards-Version: 4.6.2
Homepage: https://icalendar.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-icalendar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-icalendar
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python-icalendar-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: parser/generator of iCalendar files for use with Python -- docs
 The icalendar package is a parser/generator of iCalendar files for use with
 Python.
 .
 This package contains documentation for the Python module

Package: python3-icalendar
Architecture: all
Depends:
 python3-dateutil,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: parser/generator of iCalendar files for use with Python3
 The icalendar package is a RFC 5545 compatible parser/generator
 for iCalendar files.
 .
 This package provides Python3 bindings,
 and the command-line tool icalendar.

=== debian/rules ===
#!/usr/bin/make -f

# generate core documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
CHANGELOGS = CHANGES.html CHANGES.txt
MANPAGES = icalendar.1
endif

export PYBUILD_NAME=icalendar

# avoid failing doctest test
export PYBUILD_TEST_ARGS = \
 --ignore=icalendar/tests/test_with_doctest.py

_ENV = \
 PYTHONPATH="$(CURDIR)/debian/python3-icalendar/usr/lib/$(shell py3versions -d)/dist-packages"

%:
	dh $@ --buildsystem=pybuild

%.html: %.rst
	pandoc --from rst --to html --standalone --output $@ $<

%.txt: %.rst
	pandoc --from rst --to plain --output $@ $<

execute_after_dh_auto_build: $(DOCS) $(CHANGELOGS)
	$(MAKE) -C docs html PYTHONPATH=$(CURDIR)/src

execute_after_dh_auto_install: $(MANPAGES)

execute_after_dh_auto_clean:
	$(MAKE) -C docs clean PYTHONPATH=$(CURDIR)/src
	rm -fr src/icalendar.egg-info

override_dh_installdocs:
	dh_installdocs --all -- $(DOCS)

icalendar.1: debian/python3-icalendar/usr/bin/icalendar
	$(_ENV) help2man --name "command-line tool to preview calendar events" \
	 --no-info --output $@ $< \
	 || { $(_ENV) $< --help; false; }
	find debian/python3-icalendar/usr/lib -name '*.pyc' -delete

## python-icalendar 5.0.12

=== debian/changelog ===
python-icalendar (5.0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.0.12
  * Use non deprecated name for America/Nuuk (Closes: #1069841)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Apr 2024 06:40:32 +0200

## python-icalendar 6.0.1

=== docs/Makefile ===
--- 
+++ 
@@ -2,11 +2,12 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
-PAPER         =
-BUILDDIR      = _build
-LOCALESDIR    = _locales
+SPHINXOPTS      =
+SPHINXBUILD     = sphinx-build
+SPHINXAUTOBUILD = sphinx-autobuild
+PAPER           =
+BUILDDIR        = _build
+LOCALESDIR      = _locales
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -15,7 +16,7 @@
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext livehtml rtd-pr-preview
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -159,3 +160,12 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
+
+livehtml:
+	$(SPHINXAUTOBUILD) \
+	--ignore "*.swp" \
+	--port 8050 \
+	-b html . "$(BUILDDIR)/html" $(SPHINXOPTS) $(O)
+
+rtd-pr-preview:  ## Build pull request preview on Read the Docs
+	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) ${READTHEDOCS_OUTPUT}/html/

=== debian/changelog ===
python-icalendar (6.0.1-2) unstable; urgency=medium

  * Team upload.
  * Drop unnecessary python3-tz dependency (Closes: #1104638)
  * Bump standards version to 4.7.2 (no changes needed)
  * Clean generated files properly after build

 -- Ananthu C V <weepingclown@debian.org>  Sun, 04 May 2025 22:25:35 +0530

python-icalendar (6.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-depend on tzdata-legacy (closes: #1086374).
  * Add Built-Using: ${sphinxdoc:Built-Using} to python-icalendar-doc.

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 Oct 2024 14:23:12 +0000

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,15 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-dateutil,
+ python3-hatch-vcs,
+ python3-hatchling,
  python3-hypothesis,
  python3-pytest,
- python3-setuptools,
  python3-sphinx,
- python3-tz,
-Standards-Version: 4.6.2
+ python3-sphinx-copybutton,
+ python3-sphinx-rtd-theme,
+ tzdata-legacy,
+Standards-Version: 4.7.2
 Homepage: https://icalendar.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-icalendar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-icalendar
@@ -36,6 +39,7 @@
  ${shlibs:Depends},
  ${sphinxdoc:Depends},
 Multi-Arch: foreign
+Built-Using: ${sphinxdoc:Built-Using}
 Description: parser/generator of iCalendar files for use with Python -- docs
  The icalendar package is a parser/generator of iCalendar files for use with
  Python.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
+export DEB_VERSION_UPSTREAM  # used by patched docs/conf.py
 
 # generate core documentation unless nodoc requested
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -33,6 +36,7 @@
 execute_after_dh_auto_clean:
 	$(MAKE) -C docs clean PYTHONPATH=$(CURDIR)/src
 	rm -fr src/icalendar.egg-info
+	rm -f src/icalendar/_version.py
 
 override_dh_installdocs:
 	dh_installdocs --all -- $(DOCS)

## python-icalendar 6.3.1

=== docs/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html       to make standalone HTML files"
+	@echo "  livehtml   to view a live preview of standalone HTML files"
 	@echo "  dirhtml    to make HTML files named index.html in directories"
 	@echo "  singlehtml to make a single large HTML file"
 	@echo "  pickle     to make pickle files"
@@ -163,6 +164,7 @@
 
 livehtml:
 	$(SPHINXAUTOBUILD) \
+	--watch ../src \
 	--ignore "*.swp" \
 	--port 8050 \
 	-b html . "$(BUILDDIR)/html" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-icalendar (6.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Aug 2025 14:43:08 +0100

python-icalendar (6.0.1-3) unstable; urgency=medium

  * Team upload.
  * Properly drop unnecessary python3-tz dependency (closes: #1104638).
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Jul 2025 01:18:59 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,9 @@
  python3-hatch-vcs,
  python3-hatchling,
  python3-hypothesis,
+ python3-pydata-sphinx-theme,
  python3-pytest,
+ python3-pytz,
  python3-sphinx,
  python3-sphinx-copybutton,
  python3-sphinx-rtd-theme,
@@ -29,7 +31,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-icalendar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-icalendar
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-icalendar-doc
 Architecture: all
@@ -50,7 +52,6 @@
 Architecture: all
 Depends:
  python3-dateutil,
- python3-tz,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 
 # avoid failing doctest test
 export PYBUILD_TEST_ARGS = \
- --ignore=icalendar/tests/test_with_doctest.py
+ --ignore={dir}/src/icalendar/tests/test_with_doctest.py \
+ {dir}/src
 
 _ENV = \
  PYTHONPATH="$(CURDIR)/debian/python3-icalendar/usr/lib/$(shell py3versions -d)/dist-packages"

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/collective/icalendar/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
